Page MenuHomePhabricator

[ThinLTO/WPD] Enable -wholeprogramdevirt-skip in ThinLTO backends
ClosedPublic

Authored by tejohnson on Nov 19 2020, 11:47 AM.

Details

Summary

Previously this option could be used to skip devirtualizations of the
given functions in regular LTO and in the ThinLTO indexing step. This
change allows them to be skipped in the backend as well, which is useful
when debugging WPD in a distributed ThinLTO backend.

Diff Detail

Event Timeline

tejohnson created this revision.Nov 19 2020, 11:47 AM
Herald added projects: Restricted Project, Restricted Project. · View Herald TranscriptNov 19 2020, 11:47 AM
tejohnson requested review of this revision.Nov 19 2020, 11:47 AM
evgeny777 accepted this revision.Nov 23 2020, 10:20 PM

Thanks, LGTM

This revision is now accepted and ready to land.Nov 23 2020, 10:20 PM
This revision was landed with ongoing or failed builds.Nov 24 2020, 9:35 AM
This revision was automatically updated to reflect the committed changes.